> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all statements

> The endpoint returns a list of pay statements with dates, gross pay, net pay and earnings with deductions breakdown. 



## OpenAPI

````yaml GET /v1/links/{link_id}/statements/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/statements/:
    parameters:
      - name: link_id
        in: path
        description: Link ID
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Pay Statements
      summary: List all statements
      description: >-
        The endpoint returns a list of pay statements with dates, gross pay, net
        pay and earnings with deductions breakdown. 
      operationId: link-statements
      parameters:
        - name: pay_date_from
          in: query
          description: Filter `pay_date` greater than or equal (ISO-8601)
          required: false
          schema:
            type: string
            default: '2022-06-01'
        - name: pay_date_to
          in: query
          description: Filter `pay_date` less than or equal (ISO-8601)
          required: false
          schema:
            type: string
            default: '2022-06-02'
        - name: page
          in: query
          description: Page number from the statement list
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
        - name: employment_id
          in: query
          description: >-
            Employment ID. If not provided, the most recent employment will be
            used.
          required: false
          schema:
            type: string
          example: fd46400252234406879ed8332f272ee5
        - name: return_all_statements
          in: query
          description: >-
            Whether to include all statements, ignoring customization template
            limits.
          required: false
          schema:
            type: boolean
            default: false
          example: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatementsListResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    StatementsListResponse:
      required:
        - count
        - next
        - previous
        - results
      type: object
      properties:
        count:
          description: Number of the results in total
          type: integer
          example: 100
        next:
          description: Link to the next page
          type: string
          nullable: true
          example: https://prod.truv.com/v1/link/0000000000/statements?page=1
        previous:
          description: Link to the previous page
          type: string
          nullable: true
          example: https://prod.truv.com/v1/link/0000000000/statements?page=1
        results:
          description: List of the Pay Statements
          type: array
          items:
            $ref: '#/components/schemas/Statement'
      description: Statements List
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Statement:
      required:
        - pay_date
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        check_number:
          description: External ID of pay stub from the payroll provider
          type: string
          format: string
          nullable: true
          example: '29205182'
        pay_date:
          description: Pay Date
          type: string
          format: date
          example: '2018-05-15'
        net_pay:
          description: Net pay
          type: string
          format: decimal
          nullable: true
          example: '11500.32'
        net_pay_ytd:
          description: Net pay year to date
          type: string
          format: decimal
          nullable: true
          example: '31980.64'
        gross_pay:
          description: Gross pay
          type: string
          format: decimal
          nullable: true
          example: '13900.11'
        gross_pay_ytd:
          description: Gross pay year to date
          type: string
          format: decimal
          nullable: true
          example: '49200.00'
        bonus:
          description: Bonus
          type: string
          format: decimal
          nullable: true
          example: '100.00'
        commission:
          description: Commission
          type: string
          format: decimal
          nullable: true
          example: '12000.00'
        hours:
          description: Work hours during a pay period
          type: string
          format: decimal
          nullable: true
          example: '40.00'
        basis_of_pay:
          description: |+

            Basis of pay:

            * `S` - Salary,
            * `H` - Hourly,
            * `D` - Daily,
            * `W` - Weekly,
            * `M` - Monthly,
            * `C` - Contract,

          type: string
          enum:
            - S
            - H
            - D
            - W
            - M
            - null
          nullable: true
          example: S
        period_start:
          description: Period start
          type: string
          format: date
          nullable: true
          example: '2018-05-01'
        period_end:
          description: Period end
          type: string
          format: date
          nullable: true
          example: '2018-05-15'
        regular:
          description: Regular pay
          type: string
          format: decimal
          nullable: true
          example: '1695.11'
        regular_ytd:
          description: Regular salary year to date
          type: string
          format: decimal
          nullable: true
          example: '23000.00'
        other_pay_ytd:
          description: All other pays year to date
          type: string
          format: decimal
          nullable: true
          example: '700.00'
        bonus_ytd:
          description: Bonus year to date
          type: string
          format: decimal
          nullable: true
          example: '1000.00'
        commission_ytd:
          description: Commission year to date
          type: string
          format: decimal
          nullable: true
          example: '24000.00'
        overtime:
          description: Overtime pay
          type: string
          format: decimal
          nullable: true
          example: '45.00'
        overtime_ytd:
          description: Overtime pay year to date
          type: string
          format: decimal
          nullable: true
          example: '500.00'
        other_pay:
          description: All other pays
          type: string
          format: decimal
          nullable: true
          example: '60.00'
        earnings:
          description: Earnings for this pay cycle by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of earnings
                type: string
                example: Regular
              amount:
                description: Amount of earnings
                type: string
                format: decimal
                example: '1935.77'
              category:
                description: Category of earnings
                type: string
                enum:
                  - regular
                  - overtime
                  - bonus
                  - commission
                  - other_pay
                example: regular
              rate:
                description: Rate of earnings
                type: string
                format: decimal
                nullable: true
              units:
                description: Units of earnings
                type: string
                format: decimal
                nullable: true
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Regular
              amount: '1935.77'
              category: regular
              rate: null
              units: null
            - name: Overtime
              amount: '60.58'
              category: overtime
              rate: '30.29'
              units: '2'
        earnings_ytd:
          description: Earnings year to date by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of earnings
                type: string
                example: Regular
              amount:
                description: Amount of earnings
                type: string
                format: decimal
                example: '1935.77'
              category:
                description: Category of earnings
                type: string
                enum:
                  - regular
                  - overtime
                  - bonus
                  - commission
                  - other_pay
                example: regular
              rate:
                description: Rate of earnings
                type: string
                format: decimal
                nullable: true
              units:
                description: Units of earnings
                type: string
                format: decimal
                nullable: true
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Regular
              amount: '1935.77'
              category: regular
              rate: null
              units: null
            - name: Overtime
              amount: '60.58'
              category: overtime
              rate: '30.29'
              units: '2'
        deductions:
          description: Deductions for this pay cycle by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of the deduction
                type: string
                example: Social Security Tax
              amount:
                description: Amount of the deduction
                type: string
                format: decimal
                example: '127.01'
              category:
                description: Category of the deduction
                type: string
                enum:
                  - memo
                  - medicare
                  - retirement
                  - socialsec
                  - federal
                  - state
                  - benefit
                  - garnishment
                  - local
                  - other
                example: socialsec
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Social Security Tax
              amount: '127.01'
              category: socialsec
            - name: VA State Income Tax
              amount: '46.23'
              category: state
            - name: Medicare Tax
              amount: '29.7'
              category: medicare
        deductions_ytd:
          description: Deductions year to date by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of the deduction
                type: string
                example: Social Security Tax
              amount:
                description: Amount of the deduction
                type: string
                format: decimal
                example: '127.01'
              category:
                description: Category of the deduction
                type: string
                enum:
                  - memo
                  - medicare
                  - retirement
                  - socialsec
                  - federal
                  - state
                  - benefit
                  - garnishment
                  - local
                  - other
                example: socialsec
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Social Security Tax
              amount: '127.01'
              category: socialsec
            - name: VA State Income Tax
              amount: '46.23'
              category: state
            - name: Medicare Tax
              amount: '29.7'
              category: medicare
        md5sum:
          description: MD5 hash value computed based on the file content
          type: string
          format: string
          nullable: true
          example: 03639d6a6624f69a54a88ea90bd25e9d
        file:
          description: Link to a pay stub file (format is specified in the content-type)
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/paystub_sample.pdf
        derived_fields:
          description: Array of derived fields
          type: array
          items:
            type: string
          example:
            - basis_of_pay
        missing_data_fields:
          description: >-
            List of the data fields which are missing in the payroll API
            response
          type: array
          items:
            type: string
          example:
            - earnings_ytd
      description: Pay stub data
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````